#ifndef COMPRESSH
#define COMPRESSH

#include <vfw.h>
#include "Video.h"
#define FRAMESIZE 400000

//---------------------------------------------------------------------------



class Compressor
{
public:
    bool initflag;
        COMPVARS compvar;
        Compressor();
        ~Compressor();
    LPVOID compress(LPVOID lpdata);
    void Init(HWND hWnd);
    void send(LPVOID lpData);
    LPVOID decompress(LPVOID lpdata);
    char* compoutbuff;
    int num;
    char framebuff[FRAMESIZE];
};
#endif
//extern Compressor compressor;

